### File

`packages/components/eui-comment-thread/comment-textarea/eui-comment-textarea.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `eui-comment-textarea`
imports | `TranslateModule` `ReactiveFormsModule` `A11yModule` `EUI_TEXTAREA` `EUI_AVATAR` `EUI_BUTTON` `EUI_LABEL`
styleUrls | `../styles/_index.scss`
templateUrl | `./eui-comment-textarea.component.html`

### Index

###### Properties
Public form
###### Methods
Public onCommentCancel Public onCommentSend
###### Inputs
currentAuthorAvatarUrl placeholder
###### Outputs
commentCancel commentSend
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

currentAuthorAvatarUrl
Type : `string`
Default value : `null`

placeholder
Type : `string`
Default value : `'eui.ANSWER'`

### Outputs

commentCancel
Type : `EventEmitter`

commentSend
Type : `EventEmitter`

### HostBindings

class
Type : `string`

### Methods

Public onCommentCancel
`onCommentCancel()`
Returns : `void`

Public onCommentSend
`onCommentSend()`
Returns : `void`

### Properties

Public form
Type : `FormGroup`
Default value : `new FormGroup({ comment: new FormControl<string>(null), })`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""